import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import {
  ListApplicationsInput,
  ListApplicationsOutput,
} from "../models/models_0";
export { __MetadataBearer };
export interface ListApplicationsCommandInput extends ListApplicationsInput {}
export interface ListApplicationsCommandOutput
  extends ListApplicationsOutput,
    __MetadataBearer {}
declare const ListApplicationsCommand_base: {
  new (
    input: ListApplicationsCommandInput
  ): import("@smithy/core/client").CommandImpl<
    ListApplicationsCommandInput,
    ListApplicationsCommandOutput,
    import("..").CodeDeployClientResolvedConfig,
    import("..").ServiceInputTypes,
    import("..").ServiceOutputTypes
  >;
  new (
    ...[input]: [] | [ListApplicationsCommandInput]
  ): import("@smithy/core/client").CommandImpl<
    ListApplicationsCommandInput,
    ListApplicationsCommandOutput,
    import("..").CodeDeployClientResolvedConfig,
    import("..").ServiceInputTypes,
    import("..").ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/types").EndpointParameterInstructions;
};
export declare class ListApplicationsCommand extends ListApplicationsCommand_base {
  protected static __types: {
    api: {
      input: ListApplicationsInput;
      output: ListApplicationsOutput;
    };
    sdk: {
      input: ListApplicationsCommandInput;
      output: ListApplicationsCommandOutput;
    };
  };
}
